<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Detail</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_list.name }}</h1>
            <p>
                <a href="{% url "todo_list_update" todo_list.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url "todo_list_delete" todo_list.id %}">Delete</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <th>Task</th>
                    <th>Due Date</th>
                </thead>
                <tbody>
                    {% for x in todo_list.items.all %}
                    <tr>
                        <td>
                            <a href="{% url "todo_item_update" x.id %}">{{ x.task }}</a>
                        </td>
                        <td>{{ x.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
